FAQ:

1)What is it ?
------------
This is a binding of Xlib and xcb for D language (version 1)

2)I found a bug and/or I want to patch this binding
---------------------------------------------------
For any bug/modification please send me a report/patch at sligor(at)free.fr with object:"[Xlib]Bug Report"
You can also patch directly here http://www.dsource.org/projects/bindings

3)How I use Xlib binding ?
--------------------------

-add "import std.c.linux.Xlib;" to your code.
-use Xlib functions like in C with some minor change:
this bindings is more strongly typed than C version,it use D features when it can.

so instead of writing:
	GC gc=XCreateGC(display,window,GCForeground | GCBackground,&values);
you while need to write:
	GC gc=XCreateGC(display,window,GCMask.GCForeground | GCMask.GCBackground,&values);

For example you will compile your code like this if you're using dmd:
	dmd yourfile.d Xlib.d X.d  -L-lX11 (don't forget -L-lX11 ;) )

For a complete example read example.d

4)And how to learn programming Xlib ?
-------------------------------------
http://tronche.com/gui/x/xlib-tutorial/ for a complete tutorial
http://tronche.com/gui/x/xlib/ for documentation

5)How I use xcb binding ?
-------------------------
Read README file in xcb directory

6)I want to improove this binding what I can do?
------------------------------------------------
	->read TODO file
